using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using ITC81DB.Forms;

namespace ITC81DB.DialogForms
{
    public partial class DialogFormMessage : Form
    {
        #region Field
        private FormMain m_ParentForm;
        #endregion

        #region Constructor
        public DialogFormMessage()
        {
            InitializeComponent();
        }
        public DialogFormMessage(int code)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (code)
            {
                case 1:
                    this.labelErrorCode.Text = "Error 00";
                    this.labelMessage1.Text = "오류 발생! 재부팅 해 주십시오";
                    this.labelMessage2.Text = "Warning! Please restart this equipment";
                    this.buttonOK.Visible = false;
                    break;
                default:
                    break;
            }
        }
        public DialogFormMessage(string str, DataStore.LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == DataStore.LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Notice";
                this.labelMessage1.Text = str + "개의 파일이 백업되었습니다.";
                this.labelMessage2.Text = "";
            }
            else if (language == DataStore.LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Notice";
                this.labelMessage1.Text = str + " files have been backed up";
                this.labelMessage2.Text = "";
            }
            else if (language == DataStore.LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                this.labelErrorCode.Text = "通知";
                this.labelMessage1.Text = str + "个文件已备份";
                this.labelMessage2.Text = "";
            }
            else if (language == DataStore.LanguageID.Czech)
            {

            }
            else if (language == DataStore.LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                this.labelErrorCode.Text = "Уведомления";
                this.labelMessage1.Text = str + " Файлы были заархивированы";
                this.labelMessage2.Text = "";
            }
            else if (language == DataStore.LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                this.labelErrorCode.Text = "Meldung";
                this.labelMessage1.Text = str + " dateien wurden gesichert";
                this.labelMessage2.Text = "";
            }
            else if (language == DataStore.LanguageID.Spanish)
            {
                this.buttonOK.Text = "DE ACUERDO";

                this.labelErrorCode.Text = "Darse cuenta";
                this.labelMessage1.Text = str + " Los archivos han sido respaldados";
                this.labelMessage2.Text = "";
            }
            else
            {

            }
        }
        public DialogFormMessage(int code, DataStore.LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == DataStore.LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01";
                        this.labelMessage1.Text = "입력범위를 확인하세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 02";
                        this.labelMessage1.Text = "최신 프로그램입니다.";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 03";
                        this.labelMessage1.Text = "연속으로 불량이 발생했습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 04";
                        this.labelMessage1.Text = "백업할 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 05";
                        this.labelMessage1.Text = "USB메모리가 장착되지 않았습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 06";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 07";
                        this.labelMessage1.Text = "USB에 업데이트 할 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 08";
                        this.labelMessage1.Text = "업데이트 할 실행파일 개수가 많습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 09";
                        this.labelMessage1.Text = "USB에 업데이트 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 10";
                        this.labelMessage1.Text = "해당 메모리가 장착되지 않았습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 11";
                        this.labelMessage1.Text = "이미지 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 12";
                        this.labelMessage1.Text = "적체박스를 비워 주세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "백업 완료";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "백업 실패 !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 15";
                        this.labelMessage1.Text = "가져올 파일이 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 16";
                        this.labelMessage1.Text = "에러 발생! 다시 시도해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 17";
                        this.labelMessage1.Text = "초기화를 실행해 주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "전원을 끄고 다시 켜주세요";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 19";
                        this.labelMessage1.Text = "통신 포트 연결 에러.";
                        this.labelMessage1.Text = "제조사에 문의하세요.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 20";
                        this.labelMessage1.Text = "MASCA 통신 전송이 실패했습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 21";
                        this.labelMessage1.Text = "서보 오프 후에 다시 시도해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 22";
                        this.labelMessage1.Text = "메인보드 통신 상태 확인해주세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "장비 정지 : 카운터출력";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 24";
                        this.labelMessage1.Text = "MACSA 통신전송이 실패하였습니다.";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 25";
                        this.labelMessage1.Text = "바코드 연결상태를 확인하세요.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC 동작 모드 : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 27";
                        this.labelMessage1.Text = "996~1000번 : 랜덤모드 기능 할당";
                        this.labelMessage2.Text = "설정위치 : [메뉴]-[기본]-[품목설정]-[랜덤모드]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 31";
                        this.labelMessage1.Text = "유저 파일 에러";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 32";
                        this.labelMessage1.Text = "ID 확인하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 33";
                        this.labelMessage1.Text = "Password 확인하세요";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 34";
                        this.labelMessage1.Text = "동일한 ID가 있습니다!";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 35";
                        this.labelMessage1.Text = "4~10자 입력 하세요!";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01";
                        this.labelMessage1.Text = "Please check the input range";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 02";
                        this.labelMessage1.Text = "Application is the lastest";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 03";
                        this.labelMessage1.Text = "Detect Continuous N.G !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 04";
                        this.labelMessage1.Text = "There are no Backup files";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 05";
                        this.labelMessage1.Text = "There is no USB MEMORY";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 06";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 07";
                        this.labelMessage1.Text = "There are no update files in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 08";
                        this.labelMessage1.Text = "Too much file for update";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 09";
                        this.labelMessage1.Text = "There is no folder has update files in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 10";
                        this.labelMessage1.Text = "There is no MEMORY";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 11";
                        this.labelMessage1.Text = "There is no folder has Image in USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 12";
                        this.labelMessage1.Text = "Please load the box blank";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "System backup";
                        this.labelMessage1.Text = "Backup Complete";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "System backup";
                        this.labelMessage1.Text = "Backup Fail !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 15";
                        this.labelMessage1.Text = "There are no files to be imported";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 16";
                        this.labelMessage1.Text = "Error occured! Try again";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 17";
                        this.labelMessage1.Text = "Please proceed with initialization";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Please restart this equipment";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 19";
                        this.labelMessage1.Text = "COM2 port problem.";
                        this.labelMessage1.Text = "Please contact a manufacturer.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 20";
                        this.labelMessage1.Text = "Transmission failed to MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 21";
                        this.labelMessage1.Text = "After th servo-off,";
                        this.labelMessage2.Text = "please try again.";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 22";
                        this.labelMessage1.Text = "Please check the communication status ";
                        this.labelMessage2.Text = "with the main board.";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "Equipment Stop : Counting output";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 24";
                        this.labelMessage1.Text = "MACSA communication transmission failed";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 25";
                        this.labelMessage1.Text = "Check the barcode scanner connection.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC Operation Mode : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 27";
                        this.labelMessage1.Text = "No. 996~1000 : Assign Random Mode function";
                        this.labelMessage2.Text = "[Menu]-[Basic]-[Product setting]-[Random Mode]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 31";
                        this.labelMessage1.Text = "User files error";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 32";
                        this.labelMessage1.Text = "Check the ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 33";
                        this.labelMessage1.Text = "Check the password";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 34";
                        this.labelMessage1.Text = "The system already has the same ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 35";
                        this.labelMessage1.Text = "Please enter 4-10 characters";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "错误 01";
                        this.labelMessage1.Text = "确认输入范围";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "错误 02";
                        this.labelMessage1.Text = "最新应用";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "错误 03";
                        this.labelMessage1.Text = "测试连续不良";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "错误 04";
                        this.labelMessage1.Text = "无支持文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "错误 05";
                        this.labelMessage1.Text = "无USB存储卡";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "错误 06";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "错误 07";
                        this.labelMessage1.Text = "USB无更新文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "错误 08";
                        this.labelMessage1.Text = "太多文件需更新";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "错误 09";
                        this.labelMessage1.Text = "USB没有文件夹需要更新文件";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "错误 10";
                        this.labelMessage1.Text = "无存储";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "错误 11";
                        this.labelMessage1.Text = "没有图像文件夹";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "错误 12";
                        this.labelMessage1.Text = "请清理箱子";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "系统备份";
                        this.labelMessage1.Text = "复制完成";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "系统备份";
                        this.labelMessage1.Text = "复制失败 !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "错误 15";
                        this.labelMessage1.Text = "无文件导入";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "错误 16";
                        this.labelMessage1.Text = "错误发生，重试";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "错误 17";
                        this.labelMessage1.Text = "运行初始化";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "关掉电源，然后在打开电源";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "错误 19";
                        this.labelMessage1.Text = "通信点连接错误";
                        this.labelMessage1.Text = "请联系厂商";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "错误 20";
                        this.labelMessage1.Text = "传送到MASCA失败";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "错误 21";
                        this.labelMessage1.Text = "关闭伺服后请重试";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "错误 22";
                        this.labelMessage1.Text = "请确认主要画面通信状态";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "错误 23";
                        this.labelMessage1.Text = "设备停止 : 计数输出";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "错误 24";
                        this.labelMessage1.Text = "传送到MASCA失败";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "错误 25";
                        this.labelMessage1.Text = "检查条形码连接";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC运转模式 : 服务器";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "错误 27";
                        this.labelMessage1.Text = "996~1000：随机模式功能分配";
                        this.labelMessage2.Text = "设定位置 : [菜单]-[基本]-[产品设置]-[随机模式]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "错误 31";
                        this.labelMessage1.Text = "用户文件错误";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "错误 32";
                        this.labelMessage1.Text = "请确认用户名";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "错误 33";
                        this.labelMessage1.Text = "请确认密码";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "错误 34";
                        this.labelMessage1.Text = "已有相同的用户名";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "错误 35";
                        this.labelMessage1.Text = "请输入4~10个字符!";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Czech)
            {

            }
            else if (language == DataStore.LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Ошибка 01";
                        this.labelMessage1.Text = "Подтвердите введенное значение";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Ошибка 02";
                        this.labelMessage1.Text = "Программное обеспечение обновлено";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Ошибка 03";
                        this.labelMessage1.Text = "Обноружение постоянного брака";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Ошибка 04";
                        this.labelMessage1.Text = "Резервные файлы отсутствуют";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Ошибка 05";
                        this.labelMessage1.Text = "USB не подключен";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Ошибка 06";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Ошибка 07";
                        this.labelMessage1.Text = "Обновление файлов отсутствует на USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Ошибка 08";
                        this.labelMessage1.Text = "Слишком много файлов обновления";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Ошибка 09";
                        this.labelMessage1.Text = "В папке USB отсутствуют файлы обновления";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Ошибка 10";
                        this.labelMessage1.Text = "Память заполнена";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Ошибка 11";
                        this.labelMessage1.Text = "이미지 폴더가 없습니다";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Ошибка 12";
                        this.labelMessage1.Text = "Пожалуйста, уберите флажок";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "Резервное копирование завершено";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "시스템 백업";
                        this.labelMessage1.Text = "Ошибка резервного копирования !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Ошибка 15";
                        this.labelMessage1.Text = "Нет файлов для импорта";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Ошибка 16";
                        this.labelMessage1.Text = "Произошла ошибка. Попробуйте еще раз";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Ошибка 17";
                        this.labelMessage1.Text = "Пожалуйста, запустите инициализацию";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Выключите питание и затем";
                        this.labelMessage2.Text = "включите питание";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Ошибка 19";
                        this.labelMessage1.Text = "Ошибка подключения к порту связи COM2";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Ошибка 20";
                        this.labelMessage1.Text = "Ошибка связи с MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Ошибка 21";
                        this.labelMessage1.Text = "Попробуйте еще раз после";
                        this.labelMessage2.Text = "выключения сервопривода";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Ошибка 22";
                        this.labelMessage1.Text = "Проблема с COM2 порт";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Ошибка 23";
                        this.labelMessage1.Text = "Остановка оборудования: выход счетчика";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Ошибка 24";
                        this.labelMessage1.Text = "Ошибка связи с MASCA";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Ошибка 25";
                        this.labelMessage1.Text = "Проверьте подключение сканера штрих-кода.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "Режим работы OPC: Сервер";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Ошибка 27";
                        this.labelMessage1.Text = "996 ~ 1000: назначение функции в";
                        this.labelMessage2.Text = "случайном режиме";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Ошибка 31";
                        this.labelMessage1.Text = "Ошибка пользовательских файлов";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Ошибка 32";
                        this.labelMessage1.Text = "Проверьте ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Ошибка 33";
                        this.labelMessage1.Text = "Проверьте пароль";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Ошибка 34";
                        this.labelMessage1.Text = "Система уже имеет такой ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Ошибка 35";
                        this.labelMessage1.Text = "Пожалуйста, введите 4-10 символов";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Fehler 01";
                        this.labelMessage1.Text = "Den eingegebenen Wert bestätigen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Fehler 02";
                        this.labelMessage1.Text = "Software ist up-to-date.";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Fehler 03";
                        this.labelMessage1.Text = "Fehlendes Produkt dauerhaft detektieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Fehler 04";
                        this.labelMessage1.Text = "Sicherungsdateien fehlen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Fehler 05";
                        this.labelMessage1.Text = "USB nicht angeschlossen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Fehler 06";
                        this.labelMessage1.Text = "Hersteller kontaktieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Fehler 07";
                        this.labelMessage1.Text = "Auf USB fehlen Aktualisierungsdateien.";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Fehler 08";
                        this.labelMessage1.Text = "Zu viele ausführbare Dateien zum Aktualisieren.";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Fehler 09";
                        this.labelMessage1.Text = "Ordner mit den Aktualisierungsdateien";
                        this.labelMessage2.Text = "fehlt auf dem USB.";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Fehler 10";
                        this.labelMessage1.Text = "Speicher/ Datenspeicher fehlt.";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Fehler 11";
                        this.labelMessage1.Text = "Fehlende Image -Datei auf USB.";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Fehler 12";
                        this.labelMessage1.Text = "Kontrollkästchen bitte löschen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Systemsicherung";
                        this.labelMessage1.Text = "Sicherungsabruf abgeschlossen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Systemsicherung";
                        this.labelMessage1.Text = "Fehler beim Laden der Sicherung!!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Fehler 15";
                        this.labelMessage1.Text = "Importierbare Dateien fehlen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Fehler 16";
                        this.labelMessage1.Text = "Fehler! Bitte noch einmal versuchen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Fehler 17";
                        this.labelMessage1.Text = "Bitte starten.";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Mit dem Hauptschalter aus- und einschalten.";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Fehler 19";
                        this.labelMessage1.Text = "Fehler beim Verbindungsport des Kommunikationsports.";
                        this.labelMessage1.Text = "Hersteller kontaktieren.";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Fehler 20";
                        this.labelMessage1.Text = "Fehler bei der Kommunikation über MASCA.";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Fehler 21";
                        this.labelMessage1.Text = "Bitte versuchen Sie es erneut";
                        this.labelMessage2.Text = "nach dem Servo-off.";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Fehler 22";
                        this.labelMessage1.Text = "Kommunikation mit der Hauptplatine überprüfen.";
                        this.labelMessage2.Text = "";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Fehler 23";
                        this.labelMessage1.Text = "Ausrüstung stoppt : Zählen der Ausgabe";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Fehler 24";
                        this.labelMessage1.Text = "MACSA-Kommunikationsübertragung";
                        this.labelMessage2.Text = "fehlgeschlagen";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Fehler 25";
                        this.labelMessage1.Text = "Überprüfen Sie die Barcode-Scanner-Verbindung.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "OPC Betriebsmodus : Server";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Fehler 27";
                        this.labelMessage1.Text = "Nr. 996~1000 : Zuweisen der Zufallsmodusfunktion";
                        this.labelMessage2.Text = "[Menü]-[Basic]-[Produkteinstellung]-[Zufallsmodus]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Fehler 31";
                        this.labelMessage1.Text = "Fehler der Benutzerdateien";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Fehler 32";
                        this.labelMessage1.Text = "Überprüfen Sie die ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Fehler 33";
                        this.labelMessage1.Text = "Überprüfen Sie das Passwort";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Fehler 34";
                        this.labelMessage1.Text = "Das System hat bereits die gleiche ID";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Fehler 35";
                        this.labelMessage1.Text = "Bitte geben Sie 4-10 Zeichen ein";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Spanish)
            {
                this.buttonOK.Text = "DE ACUERDO";

                #region 스페인어
                switch (code)
                {
                    case 1:
                        this.labelErrorCode.Text = "Error 01";
                        this.labelMessage1.Text = "Confirmar rango de entrada";
                        this.labelMessage2.Text = "";
                        break;
                    case 2:
                        this.labelErrorCode.Text = "Error 02";
                        this.labelMessage1.Text = "La aplicación es la una anterior";
                        this.labelMessage2.Text = "";
                        break;
                    case 3:
                        this.labelErrorCode.Text = "Error 03";
                        this.labelMessage1.Text = "Detectar continuo n.g";
                        this.labelMessage2.Text = "";
                        break;
                    case 4:
                        this.labelErrorCode.Text = "Error 04";
                        this.labelMessage1.Text = "No hay archivos de copia de seguridad";
                        this.labelMessage2.Text = "";
                        break;
                    case 5:
                        this.labelErrorCode.Text = "Error 05";
                        this.labelMessage1.Text = "No hay memoria USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 6:
                        this.labelErrorCode.Text = "Error 06";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                    case 7:
                        this.labelErrorCode.Text = "Error 07";
                        this.labelMessage1.Text = "No hay archivos de actualización en USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 8:
                        this.labelErrorCode.Text = "Error 08";
                        this.labelMessage1.Text = "Demasiado archivo para la actualización";
                        this.labelMessage2.Text = "";
                        break;
                    case 9:
                        this.labelErrorCode.Text = "Error 09";
                        this.labelMessage1.Text = "No hay carpeta que haya actualizado archivos en USB";
                        this.labelMessage2.Text = "";
                        break;
                    case 10:
                        this.labelErrorCode.Text = "Error 10";
                        this.labelMessage1.Text = "No hay memoria";
                        this.labelMessage2.Text = "";
                        break;
                    case 11:
                        this.labelErrorCode.Text = "Error 11";
                        this.labelMessage1.Text = "-";
                        this.labelMessage2.Text = "";
                        break;
                    case 12:
                        this.labelErrorCode.Text = "Error 12";
                        this.labelMessage1.Text = "Por favor cargue la caja en blanco";
                        this.labelMessage2.Text = "";
                        break;
                    case 13:
                        this.labelErrorCode.Text = "Copia de seguridad del sistema";
                        this.labelMessage1.Text = "Copia de seguridad completa";
                        this.labelMessage2.Text = "";
                        break;
                    case 14:
                        this.labelErrorCode.Text = "Copia de seguridad del sistema";
                        this.labelMessage1.Text = "Fallo de respaldo !!";
                        this.labelMessage2.Text = "";
                        break;
                    case 15:
                        this.labelErrorCode.Text = "Error 15";
                        this.labelMessage1.Text = "No hay archivos para ser importados";
                        this.labelMessage2.Text = "";
                        break;
                    case 16:
                        this.labelErrorCode.Text = "Error 16";
                        this.labelMessage1.Text = "¡Ocurrió un error! Intentar otra vez";
                        this.labelMessage2.Text = "";
                        break;
                    case 17:
                        this.labelErrorCode.Text = "Error 17";
                        this.labelMessage1.Text = "Por favor ejecuta la inicialización";
                        this.labelMessage2.Text = "";
                        break;
                    case 18:
                        this.labelErrorCode.Text = "Message 18";
                        this.labelMessage1.Text = "Apague la alimentación y luego encienda la alimentación.";
                        this.labelMessage2.Text = "";
                        this.buttonOK.Visible = false;
                        break;
                    case 19:
                        this.labelErrorCode.Text = "Error 19";
                        this.labelMessage1.Text = "Falló la conexión del puerto de COM2.";
                        this.labelMessage2.Text = "Póngase en contacto con un fabricante";
                        break;
                    case 20:
                        this.labelErrorCode.Text = "Error 20";
                        this.labelMessage1.Text = "La transmisión no pudo a Masca";
                        this.labelMessage2.Text = "";
                        break;
                    case 21:
                        this.labelErrorCode.Text = "Error 21";
                        this.labelMessage1.Text = "Después del servo-off, inténtalo de nuevo.";
                        this.labelMessage2.Text = "";
                        break;
                    case 22:
                        this.labelErrorCode.Text = "Error 22";
                        this.labelMessage1.Text = "Por favor, compruebe el estado de ";
                        this.labelMessage2.Text = "la comunicación con la placa principal.";
                        break;
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "Equipo de parada: salida de conteo";
                        this.labelMessage2.Text = "";
                        break;
                    case 24:
                        this.labelErrorCode.Text = "Error 24";
                        this.labelMessage1.Text = "La transmisión no pudo a Masca";
                        this.labelMessage2.Text = "";
                        break;
                    case 25:
                        this.labelErrorCode.Text = "Error 25";
                        this.labelMessage1.Text = "Compruebe la conexión del escáner de código de barras.";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.labelErrorCode.Text = "OPC";
                        this.labelMessage1.Text = "Modo de operación OPC: servidor";
                        this.labelMessage2.Text = "";
                        break;
                    case 27:
                        this.labelErrorCode.Text = "Error 27";
                        this.labelMessage1.Text = "No. 996 ~ 1000: Asignar la función de modo aleatorio";
                        this.labelMessage2.Text = "[MENÚ] - [BÁSICO] - [Configuración del producto] - [Modo aleatorio]";
                        break;
                    // 28 사용
                    case 31:
                        this.labelErrorCode.Text = "Error 31";
                        this.labelMessage1.Text = "Error de archivos de usuario";
                        this.labelMessage2.Text = "";
                        break;
                    case 32:
                        this.labelErrorCode.Text = "Error 32";
                        this.labelMessage1.Text = "Compruebe la identificación";
                        this.labelMessage2.Text = "";
                        break;
                    case 33:
                        this.labelErrorCode.Text = "Error 33";
                        this.labelMessage1.Text = "Compruebe la contraseña";
                        this.labelMessage2.Text = "";
                        break;
                    case 34:
                        this.labelErrorCode.Text = "Error 34";
                        this.labelMessage1.Text = "El sistema ya tiene la misma identificación.";
                        this.labelMessage2.Text = "";
                        break;
                    case 35:
                        this.labelErrorCode.Text = "Error 35";
                        this.labelMessage1.Text = "Por favor ingrese 4-10 caracteres";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else
            {

            }
        }
        public DialogFormMessage(int code, DataStore.LanguageID language, FormMain parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == DataStore.LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "장비 정지 : 카운터출력";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "Equipment Stop : Counting Output";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "错误 23";
                        this.labelMessage1.Text = "设备停止 : 计数输出";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Czech)
            {

            }
            else if (language == DataStore.LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Ошибка 23";
                        this.labelMessage1.Text = "Остановка оборудования: выход счетчика";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Fehler 23";
                        this.labelMessage1.Text = "Ausrüstung stoppt : Zählen der Ausgabe";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Spanish)
            {
                this.buttonOK.Text = "DE ACUERDO";

                #region 스페인어
                switch (code)
                {
                    case 23:
                        this.labelErrorCode.Text = "Error 23";
                        this.labelMessage1.Text = "Equipo de parada: salida de conteo";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else
            {

            }
        }
        public DialogFormMessage(int code, DataStore.LanguageID language, string message)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            switch (language)
            {
                case DataStore.LanguageID.Korean:
                    #region Korean
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "입력범위를 확인하세요.";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    } 
                    #endregion
                    break;
                case DataStore.LanguageID.English:
                    #region English
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "Confirm input range";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    } 
                    #endregion
                    break;
                case DataStore.LanguageID.Chinese:
                    #region Chinese
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "确认";
                            this.labelErrorCode.Text = "错误 01";
                            this.labelMessage1.Text = "确认输入范围";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case DataStore.LanguageID.Czech:
                    break;
                case DataStore.LanguageID.Russian:
                    #region Russian
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "OK";
                            this.labelErrorCode.Text = "Ошибка 01";
                            this.labelMessage1.Text = "Подтвердите введенное значение";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case DataStore.LanguageID.German:
                    #region German
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "Bestätigen";
                            this.labelErrorCode.Text = "Fehler 01";
                            this.labelMessage1.Text = "Den eingegebenen Wert bestätigen";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                case DataStore.LanguageID.Spanish:
                    #region Spanish
                    switch (code)
                    {
                        case 1:
                            this.buttonOK.Text = "DE ACUERDO";
                            this.labelErrorCode.Text = "Error 01";
                            this.labelMessage1.Text = "Confirmar rango de entrada";
                            this.labelMessage2.Text = message;
                            break;
                        default:
                            break;
                    }
                    #endregion
                    break;
                default:
                    break;
            }

        }
        public DialogFormMessage(int code, int productNo, string underRange, string overRange, DataStore.LanguageID language)
        {
            InitializeComponent();

            this.labelErrorCode.Text = "";
            this.labelMessage1.Text = "";
            this.labelMessage2.Text = "";

            if (language == DataStore.LanguageID.Korean)
            {
                this.buttonOK.Text = "OK";

                #region 한글
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "제조사에 문의하세요";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.English)
            {
                this.buttonOK.Text = "OK";

                #region 영문
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Please contact a manufacturer";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Chinese)
            {
                this.buttonOK.Text = "确认";

                #region 중문
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "错误 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "错误 99";
                        this.labelMessage1.Text = "请联系厂商";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Czech)
            {

            }
            else if (language == DataStore.LanguageID.Russian)
            {
                this.buttonOK.Text = "OK";

                #region 러시아어
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Ошибка 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Ошибка 99";
                        this.labelMessage1.Text = "Свяжитесь с производителем";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.German)
            {
                this.buttonOK.Text = "Bestätigen";

                #region 독일어
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Fehler 28";
                            this.labelMessage1.Text = "Nr." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Fehler 99";
                        this.labelMessage1.Text = "Hersteller kontaktieren";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else if (language == DataStore.LanguageID.Spanish)
            {
                this.buttonOK.Text = "DE ACUERDO";

                #region 스페인어
                switch (code)
                {
                    case 28:
                        if (productNo == 996)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        else if (productNo == 1000)
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~";
                            this.labelMessage2.Text = "";
                        }
                        else
                        {
                            this.labelErrorCode.Text = "Error 28";
                            this.labelMessage1.Text = "No." + productNo.ToString() + " : " + underRange + " ~ " + overRange;
                            this.labelMessage2.Text = "";
                        }
                        break;
                    default:
                        this.labelErrorCode.Text = "Error 99";
                        this.labelMessage1.Text = "Póngase en contacto con un fabricante";
                        this.labelMessage2.Text = "";
                        break;
                }
                #endregion
            }
            else
            {

            }
        }
        #endregion

        #region Property
        public FormMain ParentForm
        {
            get { return this.m_ParentForm; }
            set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        private void InitializeContnrol()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeContnrol();
        }
        #endregion

        #region Event Handler
        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (this.ParentForm != null)
            {
                if (this.ParentForm.smartThread.State == SmartX.SmartThread.ThreadState.Running)
                    this.ParentForm.smartThread.End();
            }

            this.DialogResult = DialogResult.OK;
            this.Close();
        }
        #endregion
    }
}